Subject: linux-next: build failure after merge of the mm-unstable tree

From: Mark Brown <[email-masked]>
Date: Wed, 18 Mar 2026 13:51:01 +0000

Hi all,

After merging the mm-unstable tree, today's linux-next build
(x86_64 allmodconfig rustfmtcheck) failed like this:

Diff in /tmp/next/build/drivers/android/binder/page_range.rs:762:
     if let Some(unchecked_vma) = mmap_read.vma_lookup(vma_addr) {
         if let Some(vma) = check_vma(unchecked_vma, range_ptr) {
             let user_page_addr = vma_addr + (page_index << PAGE_SHIFT);
-        vma.zap_vma_range(user_page_addr, PAGE_SIZE);
+            vma.zap_vma_range(user_page_addr, PAGE_SIZE);
         }
     }
 
Diff in /tmp/next/build/drivers/android/binder/page_range.rs:762:
     if let Some(unchecked_vma) = mmap_read.vma_lookup(vma_addr) {
         if let Some(vma) = check_vma(unchecked_vma, range_ptr) {
             let user_page_addr = vma_addr + (page_index << PAGE_SHIFT);
-        vma.zap_vma_range(user_page_addr, PAGE_SIZE);
+            vma.zap_vma_range(user_page_addr, PAGE_SIZE);
         }
     }

Caused by commit

  320e410f0294b (mm: rename zap_page_range_single() to zap_vma_range())

I have used the tree from next-20260317 instead.